o Add missing functions' descriptions
o encode_mem() does a dirty hack to encode store instructions with
  immediate values
o symbol_tbl_insert() should report error if a symbol is redefined
o are the SYMBOL_ macros really needed?
o Support to variable length lines
